const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    Mesa.trigger.setTaskExternalData({
      label: "Customer: " + vars.loop.first_name + " " + vars.loop.last_name,
    });  
    Mesa.automation.send('customer_updated_webhook', vars.loop);

    // We're done, call the next step!
    Mesa.output.next(payload);
  }
}
